moSetGetBga = {};

function moSetGetBga:setBgaUpdate(self, slot, slotName)		
	--local slot = MultiOverlayV2:getSlot(slotName);
	if slotName == "bga" then
		if moBgaMapObjects == nil or moBgaMapObjects.catcher == 0 then return;end;
		for a=1, moBgaMapObjects.catcher do
			local objCreate = moBgaMapObjects["catcher".. a].objCreate;
			moBgaMapObjects["catcher".. a].fillLevel = Utils.getNoNil(objCreate.bunkerFillLevel, 0);			
			if objCreate.liquidManureCapacity ~= nil and objCreate.liquidManureFillLevel ~= nil then
				moBgaMapObjects["catcher".. a].liquidManureFillLevel = Utils.getNoNil(objCreate.liquidManureFillLevel, 0);
				moBgaMapObjects["catcher".. a].liquidManureCapacity = Utils.getNoNil(objCreate.liquidManureCapacity, 0);
			else
				moBgaMapObjects["catcher".. a].liquidManureFillLevel = -1;
				moBgaMapObjects["catcher".. a].liquidManureCapacity = -1;
			end;
			if objCreate.digestateSiloTrigger ~= nil and objCreate.digestateSiloTrigger ~= nil and objCreate.digestateSiloTrigger.fillLevel ~= nil and objCreate.digestateSiloTrigger.capacity ~= nil then
				moBgaMapObjects["catcher".. a].digestateFillLevel = Utils.getNoNil(objCreate.digestateSiloTrigger.fillLevel, 0);
				moBgaMapObjects["catcher".. a].digestateCapacity = Utils.getNoNil(objCreate.digestateSiloTrigger.capacity, 0);
			else
				moBgaMapObjects["catcher".. a].digestateFillLevel = -1;
				moBgaMapObjects["catcher".. a].digestateCapacity = -1;
			end;
		end;
		if slot ~= 0 then
			if moGuiMiniPdaSlots.combiBgaSilo then 
				moGuiMiniPdaSlots.values[slot].foundObjects = 11;
			else
				moGuiMiniPdaSlots.values[slot].foundObjects = moBgaMapObjects.catcher;
			end;
		end;
	end;
	if slotName == "silagesilos" then
		if moBgaMapObjects == nil or moBgaMapObjects.silo == 0 then return;end;
		for a=1, moBgaMapObjects.silo do		
			local obj = moBgaMapObjects["silo".. a].obj;
			if moBgaMapObjects["silo".. a].isHeadyBGASilo ~= nil and moBgaMapObjects["silo".. a].isHeadyBGASilo then
				local objCreate = moBgaMapObjects["silo".. a].objCreate;
				local stateOld = moBgaMapObjects["silo".. a].state;
				local fillLevelOld = Utils.getNoNil(tonumber(obj.fillLevel), 0);
				moBgaMapObjects["silo".. a].fillLevel = Utils.getNoNil(tonumber(obj.fillLevel), 0);	
				moBgaMapObjects["silo".. a].silageFillLevel = Utils.getNoNil(tonumber(objCreate.fillLevel), 0);	
				moBgaMapObjects["silo".. a].siloFillLevel = Utils.getNoNil(tonumber(objCreate.silo.fillLevel), 0);	
				moBgaMapObjects["silo".. a].state = Utils.getNoNil(objCreate.siloState, 0);
				moBgaMapObjects["silo".. a].compactFillLevel = Utils.getNoNil(objCreate.compFillLevel, 0);
				moBgaMapObjects["silo".. a].compact = Utils.getNoNil(objCreate.compScale, 0);
				moBgaMapObjects["silo".. a].fermentingTime = Utils.getNoNil(objCreate.fermentTargetTime[1], 0); --fermentTimeHours/24
				moBgaMapObjects["silo".. a].fermentingDuration = Utils.getNoNil(objCreate.fermentTargetTime[2], 0);
				local days = math.floor(objCreate.fermentTimeHours/24);
				local hours = objCreate.fermentTimeHours - days*24;
				moBgaMapObjects["silo".. a].fermentingDays = days; --fermentTimeHours/24
				moBgaMapObjects["silo".. a].fermentingHours = hours;
				moBgaMapObjects["silo".. a].fermenting = objCreate.fermented;
				if tonumber(stateOld) ~= tonumber(moBgaMapObjects["silo".. a].state) then
					moBgaMapObjects["silo".. a].fillType = "";
					if objCreate.silo.outputFillType ~= nil and FillUtil.fillTypeIndexToDesc[objCreate.silo.outputFillType] ~= nil then
						local outputFillType = FillUtil.fillTypeIndexToDesc[objCreate.silo.outputFillType];
						moBgaMapObjects["silo".. a].outPutFillType = moFillTypes[outputFillType.index].fruitName;
					else
						moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_silage"));
					end;
					if objCreate.allowFillTypes ~= nil then
						for acceptedFillTypes, v in pairs(objCreate.allowFillTypes) do
							if v then
								local desc = FillUtil.fillTypeIndexToDesc[acceptedFillTypes];
								if desc ~= nil then
									local fruitName = moFillTypes[desc.index].fruitName;
									if string.len(moBgaMapObjects["silo".. a].fillType) > 0 then
										moBgaMapObjects["silo".. a].fillType = moBgaMapObjects["silo".. a].fillType.. ",".. fruitName;																
									else
										moBgaMapObjects["silo".. a].fillType = fruitName;
									end;								
								end;
							end;
						end;
					end;
				end;
				if moBgaMapObjects.silageExtension1 then					
					if tonumber(stateOld) ~= tonumber(moBgaMapObjects["silo".. a].state) or tonumber(fillLevelOld) ~= tonumber(moBgaMapObjects["silo".. a].fillLevel) then
						moBgaMapObjects["silo".. a].isRotten = false;
						moBgaMapObjects["silo".. a].rottenFillLevel = 0;
						moBgaMapObjects["silo".. a].potatosFillLevel = 0;
						moBgaMapObjects["silo".. a].grassFillLevel = 0;
						moBgaMapObjects["silo".. a].dry_grassFillLevel = 0;
						moBgaMapObjects["silo".. a].forageFillLevel = 0;				
						if tonumber(moBgaMapObjects["silo".. a].fillLevel ) > 0 and moBgaMapObjects["silo".. a].movingPlanes > 0 then					
							for b=1, moBgaMapObjects["silo".. a].movingPlanes do
								local movingPlanes = objCreate.bunkerSilo.movingPlanes[b];
								if not moBgaMapObjects["silo".. a].isRotten and movingPlanes.isRotten then moBgaMapObjects["silo".. a].isRotten = true;end;
								if movingPlanes.isRotten then moBgaMapObjects["silo".. a].rottenFillLevel = moBgaMapObjects["silo".. a].rottenFillLevel+movingPlanes.compactFillLevel;end;
								moBgaMapObjects["silo".. a].potatosFillLevel = moBgaMapObjects["silo".. a].potatosFillLevel+movingPlanes.fractionPotato;
								moBgaMapObjects["silo".. a].grassFillLevel = moBgaMapObjects["silo".. a].grassFillLevel+movingPlanes.fractionGrass;
								if movingPlanes.fractionGrass > 0.5 then
									moBgaMapObjects["silo".. a].dry_grassFillLevel = moBgaMapObjects["silo".. a].dry_grassFillLevel+movingPlanes.compactFillLevel;
								elseif movingPlanes.fractionGrass < 0.2 and movingPlanes.fractionPotato > 0.1 and movingPlanes.fractionPotato < 0.4 then 
									moBgaMapObjects["silo".. a].forageFillLevel = moBgaMapObjects["silo".. a].forageFillLevel+movingPlanes.compactFillLevel;
								end;
							end;
							if moBgaMapObjects["silo".. a].isRotten then
								if moBgaMapObjects["silo".. a].rottenFillLevel >= moBgaMapObjects["silo".. a].fillLevel then
									moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_manure"));
								else
									if moBgaMapObjects["silo".. a].forageFillLevel > 0 then
										moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure")).. " ".. tostring(moLanguageXml:getTxt("b_forage"));
									else
										moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure"));
									end;							
								end;
							end;
						end;
					end;			
				end;
			else
				local stateOld = moBgaMapObjects["silo".. a].state;
				local fillLevelOld = Utils.getNoNil(tonumber(obj.fillLevel), 0);
				moBgaMapObjects["silo".. a].fillLevel = Utils.getNoNil(tonumber(obj.fillLevel), 0);		
				moBgaMapObjects["silo".. a].state = Utils.getNoNil(obj.state, 0);
				moBgaMapObjects["silo".. a].compactFillLevel = Utils.getNoNil(obj.compactedFillLevel, 0);
				moBgaMapObjects["silo".. a].compact = Utils.getNoNil(obj.compact, 0);
				moBgaMapObjects["silo".. a].fermentingTime = Utils.getNoNil(obj.fermentingTime, 0);
				moBgaMapObjects["silo".. a].fermentingDuration = Utils.getNoNil(obj.fermentingDuration, 0);
				local objCreate = moBgaMapObjects["silo".. a].objCreate;
				if tonumber(stateOld) ~= tonumber(moBgaMapObjects["silo".. a].state) then
					moBgaMapObjects["silo".. a].fillType = "";
					moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_silage"));
					if objCreate.acceptedFillTypes ~= nil then
						for acceptedFillTypes, v in pairs(objCreate.acceptedFillTypes) do
							if v then
								local desc = FillUtil.fillTypeIndexToDesc[acceptedFillTypes];
								if desc ~= nil then
									local fruitName = moFillTypes[desc.index].fruitName;
									if string.len(moBgaMapObjects["silo".. a].fillType) > 0 then
										moBgaMapObjects["silo".. a].fillType = moBgaMapObjects["silo".. a].fillType.. ",".. fruitName;																
									else
										moBgaMapObjects["silo".. a].fillType = fruitName;
									end;								
								end;
							end;
						end;
					end;
				end;
				if moBgaMapObjects.silageExtension then					
					if tonumber(stateOld) ~= tonumber(moBgaMapObjects["silo".. a].state) or tonumber(fillLevelOld) ~= tonumber(moBgaMapObjects["silo".. a].fillLevel) then
						moBgaMapObjects["silo".. a].isRotten = false;
						moBgaMapObjects["silo".. a].rottenFillLevel = 0;
						moBgaMapObjects["silo".. a].potatosFillLevel = 0;
						moBgaMapObjects["silo".. a].grassFillLevel = 0;
						moBgaMapObjects["silo".. a].dry_grassFillLevel = 0;
						moBgaMapObjects["silo".. a].forageFillLevel = 0;				
						if tonumber(moBgaMapObjects["silo".. a].fillLevel ) > 0 and moBgaMapObjects["silo".. a].movingPlanes > 0 then					
							for b=1, moBgaMapObjects["silo".. a].movingPlanes do
								local movingPlanes = objCreate.bunkerSilo.movingPlanes[b];
								if not moBgaMapObjects["silo".. a].isRotten and movingPlanes.isRotten then moBgaMapObjects["silo".. a].isRotten = true;end;
								if movingPlanes.isRotten then moBgaMapObjects["silo".. a].rottenFillLevel = moBgaMapObjects["silo".. a].rottenFillLevel+movingPlanes.compactFillLevel;end;
								moBgaMapObjects["silo".. a].potatosFillLevel = moBgaMapObjects["silo".. a].potatosFillLevel+movingPlanes.fractionPotato;
								moBgaMapObjects["silo".. a].grassFillLevel = moBgaMapObjects["silo".. a].grassFillLevel+movingPlanes.fractionGrass;
								if movingPlanes.fractionGrass > 0.5 then
									moBgaMapObjects["silo".. a].dry_grassFillLevel = moBgaMapObjects["silo".. a].dry_grassFillLevel+movingPlanes.compactFillLevel;
								elseif movingPlanes.fractionGrass < 0.2 and movingPlanes.fractionPotato > 0.1 and movingPlanes.fractionPotato < 0.4 then 
									moBgaMapObjects["silo".. a].forageFillLevel = moBgaMapObjects["silo".. a].forageFillLevel+movingPlanes.compactFillLevel;
								end;
							end;
							if moBgaMapObjects["silo".. a].isRotten then
								if moBgaMapObjects["silo".. a].rottenFillLevel >= moBgaMapObjects["silo".. a].fillLevel then
									moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_manure"));
								else
									if moBgaMapObjects["silo".. a].forageFillLevel > 0 then
										moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure")).. " ".. tostring(moLanguageXml:getTxt("b_forage"));
									else
										moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure"));
									end;							
								end;
							end;
						end;
					end;			
				end;
			end;
		end;
		if slot ~= 0 then
			if moGuiMiniPdaSlots.combiBgaSilo then 
				moGuiMiniPdaSlots.values[slot].foundObjects = 11;
			else
				moGuiMiniPdaSlots.values[slot].foundObjects = moBgaMapObjects.silo;
			end;
		end;
	end;	
end;

function moSetGetBga:setFirstBgaUpdate(self)	
	if moBgaMapObjects.catcher ~= 0 then
		for a=1, moBgaMapObjects.catcher do
			local objCreate = moBgaMapObjects["catcher".. a].objCreate;
			local obj = moBgaMapObjects["catcher".. a].obj;
			local x,y,z = getWorldTranslation(obj.rootNode);			
			moBgaMapObjects["catcher".. a].bgaName = "BGA";
			moBgaMapObjects["catcher".. a].x = x;
			moBgaMapObjects["catcher".. a].z = z;
			moBgaMapObjects["catcher".. a].id = objCreate.id;				
			moBgaMapObjects["catcher".. a].fillLevel = Utils.getNoNil(objCreate.bunkerFillLevel, 0);
			if objCreate.liquidManureCapacity ~= nil and objCreate.liquidManureFillLevel ~= nil then
				moBgaMapObjects["catcher".. a].liquidManureFillLevel = Utils.getNoNil(objCreate.liquidManureFillLevel, 0);
				moBgaMapObjects["catcher".. a].liquidManureCapacity = Utils.getNoNil(objCreate.liquidManureCapacity, 0);
			else
				moBgaMapObjects["catcher".. a].liquidManureFillLevel = -1;
				moBgaMapObjects["catcher".. a].liquidManureCapacity = -1;
			end;
			if objCreate.digestateSiloTrigger ~= nil and objCreate.digestateSiloTrigger ~= nil and objCreate.digestateSiloTrigger.fillLevel ~= nil and objCreate.digestateSiloTrigger.capacity ~= nil then
				moBgaMapObjects["catcher".. a].digestateFillLevel = Utils.getNoNil(objCreate.digestateSiloTrigger.fillLevel, 0);
				moBgaMapObjects["catcher".. a].digestateCapacity = Utils.getNoNil(objCreate.digestateSiloTrigger.capacity, 0);
			else
				moBgaMapObjects["catcher".. a].digestateFillLevel = -1;
				moBgaMapObjects["catcher".. a].digestateCapacity = -1;
			end;
			moBgaMapObjects["catcher".. a].capacity = Utils.getNoNil(objCreate.bunkerCapacity, 0);
			moBgaMapObjects["catcher".. a].speed = Utils.getNoNil(objCreate.bunkerUseSpeed, 25);
			moBgaMapObjects["catcher".. a].fillType = "";		
			if obj.stationName ~= nil and moStationes[obj.stationName] ~= nil then
				moBgaMapObjects["catcher".. a].bgaName = moStationes[obj.stationName].stationName;
			end;
			if obj. acceptedFillTypes ~= nil then
			--if moBGATrigger[a] ~= nil and moBgaMapObjects["catcher".. a].id ~= nil then			
				--local obj1 = g_currentMission.tipTriggers[moBGATrigger[a].bgaTrigger];			
				--if obj1 ~= nil then
					--local stationName = getUserAttribute(obj1.triggerId, "stationName");
					--if stationName ~= nil and moStationes[stationName] ~= nil then
					--	moBgaMapObjects["catcher".. a].bgaName = moStationes[stationName].stationName;
					--end;				
					for acceptedFillTypes, v in pairs(obj.acceptedFillTypes) do
						if v then
							local desc = FillUtil.fillTypeIndexToDesc[acceptedFillTypes];
							if desc ~= nil then
								local fruitName = moFillTypes[desc.index].fruitName;
								if string.len(moBgaMapObjects["catcher".. a].fillType) > 0 then
									moBgaMapObjects["catcher".. a].fillType = moBgaMapObjects["catcher".. a].fillType.. ",".. fruitName;																	
								else
									moBgaMapObjects["catcher".. a].fillType = fruitName;
								end;								
							end;
						end;
					end;				
				--end;			
			end;
		end;
	else
		--if not string.find(moGuiMiniPdaSlots.slotNotReadyFound, "bga ") then moGuiMiniPdaSlots.slotNotReadyFound = moGuiMiniPdaSlots.slotNotReadyFound .."bga ";end;
	end;
	if moBgaMapObjects.silo ~= 0 then
		for a=1, moBgaMapObjects.silo do
			if moBgaMapObjects["silo".. a].isHeadyBGASilo ~= nil and moBgaMapObjects["silo".. a].isHeadyBGASilo then
				local obj = moBgaMapObjects["silo".. a].obj;
				local objCreate = moBgaMapObjects["silo".. a].objCreate;
				local x,y,z = 0,0,0;
				if objCreate.nodeId ~= nil then
					x,y,z = getWorldTranslation(objCreate.nodeId);
				else
					x,y,z = getWorldTranslation(obj.mainNode);
				end;
				moBgaMapObjects["silo".. a].id = objCreate.id;
				moBgaMapObjects["silo".. a].x = x;
				moBgaMapObjects["silo".. a].z = z;
				moBgaMapObjects["silo".. a].fillLevel = Utils.getNoNil(obj.fillLevel, 0);
				moBgaMapObjects["silo".. a].silageFillLevel = Utils.getNoNil(tonumber(objCreate.fillLevel), 0);
				moBgaMapObjects["silo".. a].siloFillLevel = Utils.getNoNil(tonumber(objCreate.silo.fillLevel), 0);
				moBgaMapObjects["silo".. a].fillType = "";
				moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_silage"));
				--local fruitName = objCreate:getFillType();
				--if not string.find(moBgaMapObjects["silo".. a].outPutFillType, fruitName) then moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. fruitName.. " ";end;
				if objCreate.allowFillTypes ~= nil then			
					for acceptedFillTypes, v in pairs(objCreate.allowFillTypes) do
						if v then
							local desc = FillUtil.fillTypeIndexToDesc[acceptedFillTypes];
							if desc ~= nil then
								local fruitName = moFillTypes[desc.index].fruitName;							
								if string.len(moBgaMapObjects["silo".. a].fillType) > 0 then
									moBgaMapObjects["silo".. a].fillType = moBgaMapObjects["silo".. a].fillType.. ",".. fruitName;																
								else
									moBgaMapObjects["silo".. a].fillType = fruitName;
								end;
							end;
						end;
					end;
				end;
				moBgaMapObjects["silo".. a].movingPlanes = 0;
				moBgaMapObjects["silo".. a].state = Utils.getNoNil(objCreate.siloState, 0);
				moBgaMapObjects["silo".. a].capacity = Utils.getNoNil(obj.maxFillLevel, 0);
				moBgaMapObjects["silo".. a].compactFillLevel = Utils.getNoNil(objCreate.compFillLevel, 0);
				moBgaMapObjects["silo".. a].compact = Utils.getNoNil(objCreate.compScale, 0);
				moBgaMapObjects["silo".. a].fermentingTime = Utils.getNoNil(objCreate.fermentTargetTime[1], 0);
				moBgaMapObjects["silo".. a].fermentingDuration = Utils.getNoNil(objCreate.fermentTargetTime[2], 0);	
				local days = math.floor(objCreate.fermentTimeHours/24);
				local hours = objCreate.fermentTimeHours - days*24;
				moBgaMapObjects["silo".. a].fermentingDays = days;
				moBgaMapObjects["silo".. a].fermentingHours = hours;
				moBgaMapObjects["silo".. a].fermenting = objCreate.fermented;
				moBgaMapObjects["silo".. a].potatosFillLevel = 0;
				moBgaMapObjects["silo".. a].grassFillLevel = 0;
				moBgaMapObjects["silo".. a].forageFillLevel = 0;
				moBgaMapObjects["silo".. a].dry_grassFillLevel = 0;
				moBgaMapObjects["silo".. a].forageFillLevel = 0;
			else
				local obj = moBgaMapObjects["silo".. a].obj;
				local objCreate = moBgaMapObjects["silo".. a].objCreate;
				local x,y,z = getWorldTranslation(obj.nodeId);		
				moBgaMapObjects["silo".. a].id = obj.id;
				moBgaMapObjects["silo".. a].x = x;
				moBgaMapObjects["silo".. a].z = z;
				moBgaMapObjects["silo".. a].fillLevel = Utils.getNoNil(obj.fillLevel, 0);
				moBgaMapObjects["silo".. a].fillType = "";
				moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_silage"));
				--local fruitName = objCreate:getFillType();
				--if not string.find(moBgaMapObjects["silo".. a].outPutFillType, fruitName) then moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. fruitName.. " ";end;
				if obj.acceptedFillTypes ~= nil then			
					for acceptedFillTypes, v in pairs(obj.acceptedFillTypes) do
						if v then
							local desc = FillUtil.fillTypeIndexToDesc[acceptedFillTypes];
							if desc ~= nil then
								local fruitName = moFillTypes[desc.index].fruitName;							
								if string.len(moBgaMapObjects["silo".. a].fillType) > 0 then
									moBgaMapObjects["silo".. a].fillType = moBgaMapObjects["silo".. a].fillType.. ",".. fruitName;																
								else
									moBgaMapObjects["silo".. a].fillType = fruitName;
								end;
							end;
						end;
					end;
				end;
				moBgaMapObjects["silo".. a].movingPlanes = 0;
				moBgaMapObjects["silo".. a].state = Utils.getNoNil(obj.state, 0);
				moBgaMapObjects["silo".. a].capacity = Utils.getNoNil(obj.capacity, 0);
				moBgaMapObjects["silo".. a].compactFillLevel = Utils.getNoNil(obj.compactedFillLevel, 0);
				moBgaMapObjects["silo".. a].compact = Utils.getNoNil(obj.compact, 0);
				moBgaMapObjects["silo".. a].fermentingTime = Utils.getNoNil(obj.fermentingTime, 0);
				moBgaMapObjects["silo".. a].fermentingDuration = Utils.getNoNil(obj.fermentingDuration, 0);			
				moBgaMapObjects["silo".. a].potatosFillLevel = 0;
				moBgaMapObjects["silo".. a].grassFillLevel = 0;
				moBgaMapObjects["silo".. a].forageFillLevel = 0;
				moBgaMapObjects["silo".. a].dry_grassFillLevel = 0;
				moBgaMapObjects["silo".. a].forageFillLevel = 0;
				if moBgaMapObjects.silageExtension then
					moBgaMapObjects["silo".. a].movingPlanes = Utils.getNoNil(table.getn(obj.bunkerSiloArea.movingPlanes), 0);
					moBgaMapObjects["silo".. a].rottenFillLevel = 0;
					moBgaMapObjects["silo".. a].isRotten = false;
					if tonumber(moBgaMapObjects["silo".. a].fillLevel ) > 0 then				
						for b=1, moBgaMapObjects["silo".. a].movingPlanes do
							local movingPlanes = obj.bunkerSiloArea.movingPlanes[b];
							if not moBgaMapObjects["silo".. a].isRotten and movingPlanes.isRotten then moBgaMapObjects["silo".. a].isRotten = true;end;
							if movingPlanes.isRotten then moBgaMapObjects["silo".. a].rottenFillLevel = moBgaMapObjects["silo".. a].rottenFillLevel+movingPlanes.compactFillLevel;end;
							moBgaMapObjects["silo".. a].potatosFillLevel = moBgaMapObjects["silo".. a].potatosFillLevel+movingPlanes.fractionPotato;
							moBgaMapObjects["silo".. a].grassFillLevel = moBgaMapObjects["silo".. a].grassFillLevel+movingPlanes.fractionGrass;
							if movingPlanes.fractionGrass > 0.5 then
								moBgaMapObjects["silo".. a].dry_grassFillLevel = moBgaMapObjects["silo".. a].dry_grassFillLevel+movingPlanes.compactFillLevel;
							elseif movingPlanes.fractionGrass < 0.2 and movingPlanes.fractionPotato > 0.1 and movingPlanes.fractionPotato < 0.4 then 
								moBgaMapObjects["silo".. a].forageFillLevel = moBgaMapObjects["silo".. a].forageFillLevel+movingPlanes.compactFillLevel;
							end;					
						end;
						if moBgaMapObjects["silo".. a].isRotten then
							if moBgaMapObjects["silo".. a].rottenFillLevel >= moBgaMapObjects["silo".. a].fillLevel then
								moBgaMapObjects["silo".. a].outPutFillType = tostring(moLanguageXml:getTxt("b_manure"));
							else
								if moBgaMapObjects["silo".. a].forageFillLevel > 0 then
									moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure")).. " ".. tostring(moLanguageXml:getTxt("b_forage"));
								else
									moBgaMapObjects["silo".. a].outPutFillType = moBgaMapObjects["silo".. a].outPutFillType.. " ".. tostring(moLanguageXml:getTxt("b_manure"));
								end;							
							end;
						end;
					end;
				end;
			end;
		end;
	else
		--if not string.find(moGuiMiniPdaSlots.slotNotReadyFound, "silageSilos ") then moGuiMiniPdaSlots.slotNotReadyFound = moGuiMiniPdaSlots.slotNotReadyFound .."silageSilos ";end;
	end;
end;